org.apache.ignite.internal.visor.node

## Class VisorPeerToPeerConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorPeerToPeerConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorPeerToPeerConfiguration
    extends Object
    implements Serializable

Data transfer object for node P2P configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorPeerToPeerConfiguration()`

### Method Summary

Methods
`static VisorPeerToPeerConfiguration` `from(IgniteConfiguration c)`
`boolean` `p2pEnabled()`
`String` `p2pLocalClassPathExclude()`
`int` `p2pMissedResponseCacheSize()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorPeerToPeerConfiguration

    public VisorPeerToPeerConfiguration()

### Method Detail

#### from

    public static VisorPeerToPeerConfiguration from(IgniteConfiguration c)

Parameters:
  `c` - Grid configuration.
Returns:
  Data transfer object for node P2P configuration properties.

#### p2pEnabled

    public boolean p2pEnabled()

Returns:
  Whether peer-to-peer class loading is enabled.

#### p2pMissedResponseCacheSize

    public int p2pMissedResponseCacheSize()

Returns:
  Missed resource cache size.

#### p2pLocalClassPathExclude

    @Nullable
    public String p2pLocalClassPathExclude()

Returns:
  List of packages from the system classpath that need to be loaded from task originating node.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015